Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGraphicsSceneWheelEvent

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QEvent
                  com.trolltech.qt.gui.QGraphicsSceneEvent
                      com.trolltech.qt.gui.QGraphicsSceneWheelEvent

All Implemented Interfaces:
  QtJambiInterface

    public class QGraphicsSceneWheelEvent

extends QGraphicsSceneEvent

The `QGraphicsSceneWheelEvent` class provides wheel events in the graphics view framework.The `QGraphicsSceneWheelEvent` class provides wheel events in the graphics view framework. `QWheelEvent`s received by a `QGraphicsView` are translated into `QGraphicsSceneWheelEvents`; it translates the `QWheelEvent::globalPos()` into item, scene, and screen coordinates (`pos()`, `scenePos()`, and `screenPos()`).

See also:
  `QGraphicsSceneMouseEvent`, `QGraphicsSceneContextMenuEvent`, `QGraphicsSceneHoverEvent`, and `QWheelEvent`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.core.QEvent
`QEvent.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Method Summary
`Qt.MouseButtons` | `buttons()` Returns the mouse buttons that were pressed when the wheel event occurred.
`int` | `delta()` Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree.
`static QGraphicsSceneWheelEvent` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QGraphicsSceneWheelEvent instance pointed to by `nativePointer`.
`Qt.KeyboardModifiers` | `modifiers()` Returns the keyboard modifiers that were active when the wheel event occurred.
`Qt.Orientation` | `orientation()` Returns the wheel orientation.
`QPointF` | `pos()` Returns the position of the cursor in item coordinates when the wheel event occurred.
`QPointF` | `scenePos()` Returns the position of the cursor in scene coordinates when the wheel event occurred.
`QPoint` | `screenPos()` Returns the position of the cursor in screen coordinates when the wheel event occurred.
`java.lang.String` | `toString()` Returns a string representation of the `this QGraphicsSceneWheelEvent`.

Methods inherited from class com.trolltech.qt.gui.QGraphicsSceneEvent
`widget`

Methods inherited from class com.trolltech.qt.core.QEvent
`accept, ignore, isAccepted, registerEventType, registerEventType, setAccepted, setT, spontaneous, t, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### buttons

    public final Qt.MouseButtons buttons()

  Returns the mouse buttons that were pressed when the wheel event occurred.

See also:
  `modifiers()`.

### delta

    public final int delta()

  Returns the distance that the wheel is rotated, in eighths (1/8s) of a degree. A positive value indicates that the wheel was rotated forwards away from the user; a negative value indicates that the wheel was rotated backwards toward the user.

  Most mouse types work in steps of 15 degrees, in which case the delta value is a multiple of 120 (== 15 * 8).

### modifiers

    public final Qt.KeyboardModifiers modifiers()

  Returns the keyboard modifiers that were active when the wheel event occurred.

See also:
  `buttons()`.

### orientation

    public final Qt.Orientation orientation()

  Returns the wheel orientation.

### pos

    public final QPointF pos()

  Returns the position of the cursor in item coordinates when the wheel event occurred.

See also:
  `scenePos()`, and `screenPos()`.

### scenePos

    public final QPointF scenePos()

  Returns the position of the cursor in scene coordinates when the wheel event occurred.

See also:
  `pos()`, and `screenPos()`.

### screenPos

    public final QPoint screenPos()

  Returns the position of the cursor in screen coordinates when the wheel event occurred.

See also:
  `pos()`, and `scenePos()`.

### fromNativePointer

    public static QGraphicsSceneWheelEvent fromNativePointer(QNativePointer nativePointer)

  This method returns the QGraphicsSceneWheelEvent instance pointed to by `nativePointer`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QGraphicsSceneWheelEvent`.

  Overrides:
    `toString` in class `QGraphicsSceneEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD